# MoreFactionInteraction


![Image](https://i.imgur.com/buuPQel.png)

Update of Mehnis mod
https://steamcommunity.com/sharedfiles/filedetails/?id=1454024362

- Updated by Taranchuk
- Commissioned by Spark7979
- Updated as is, have not been tested with other mods than those listed below. Please report if any mod is not compatible.
- Added german translation, thanks Erdnussbrot!
- Added Czech translation, thanks FubarXS!
- Increased the time modifier for faction interaction max-value to 10
- Added option to disable Annual Expo since it seems to cause issues for some users

- Reported to work with Dynamic Diplomacy and the 'Vanilla Expanded' factions series. Thank you Black Goat.
- Seems to work best loaded at the bottom of the mod-list

Regarding getting too many caravans: (via Black Goat)
” MFI increases probability of trade caravans arriving based on faction goodwill. This is working as intended but I suspect this feature can be compounded to an unwanted degree for players using a lot of faction mods and/or by using Dynamic Diplomacy with certain settings.

My recommendations for people who play with MFI + DD or faction mods would be to increase the "Time modifier for faction interaction" slider in the MFI mod settings menu from 1 to 3 and to disable the "Allow Alliance" and "Allow permanent enemy factions to change relationships" options for DD. ”

- Another solution for the trader-spam is to use my mod https://steamcommunity.com/sharedfiles/filedetails/?id=2813027453]Ask before enter

![Image](https://i.imgur.com/pufA0kM.png)

	
![Image](https://i.imgur.com/Z4GOv8H.png)

Adds more interaction with and between factions, bringing the world to life.

# Meaningful faction relations

- Build up trust and factions will reward you
- Cement relations by inter-faction marriages
- Help factions recover from various setbacks
- Factions may call upon you for labour
- Favours for favours
- Increased rate of world events

# Trade improvements

- Specialised traders desperate for certain goods
- More frequent traders, if you treat them right
- Traders get richer as you build up trust
- Traders bring higher quality as relations increase

# A living world

- Pirates spread out and grow outposts
- Pirates can demand tribute if they're close by - destroy their outposts!
- Show off your skills at the yearly exposition. Maybe you'll do well and be invited to host next year?
- Roadworks. To strengthen ties and increase trade, your allies can build roads as a nice silver sink.
- Squatters! Someone found a use for an old deserted settlement.

# Warring factions

- Unrest is brewing between two factions! Will you pick a side, stay neutral or profiteer? 

# TL;DR: More events

- Diplomatic marriages
- Reverse trade requests
- Bumper crops
- Hunter's Lodge
- Pirate extortion
- Mystical Shaman
- Annual Expo
- Squatters
- Roadworks
- Faction WAR

# Credits

- SerpyDerpy, preview image and art.
- Brrainz, Harmony.
- XeoNovaDan, rubberducking and testing.
- erdelf, erdelf.
- ShotgunFrenzy, art.
- Halno, art.
- Ian, text revisions.
- My testers. You know who you are. Thanks to https://twitch.tv/Eviltrick]Eviltrick in particular.

Shoutout to https://steamcommunity.com/sharedfiles/filedetails/?id=1123043922]Albion of Sparkling Worlds, for the inspiration and support. 

# Languages

- Japanese, courtesy of Proxyer
- Russian, courtesy of Djeban74/Reasonable Max
- Chinese (Simplified), courtesy of =O.W.L.S=o_Onion and publicuser
- Polish, courtesy of pawelik001
- Spanish, courtesy of CANALETA
- Spanish (Latin), courtesy of CANALETA
- French, courtesy of jerlotrie
- Italian, courtesy of EvaineQ

Want to help translate this mod in your language? Check out the "Pirate" folder inside the Languages folder on GitHub for all up to date strings.

# Links

- Ludeon: https://ludeon.com/forums/index.php?topic=35832

# Compatibility

- Yes you can add it to an existing save. Use a new one for best results, but it'll work on your current run. No, you can't remove it from an existing save.
- Yes it's compatible with Hospitality.
- Yes it's compatible with Roads of the Rim. MFI treats roadworks as a silver sink, with Roads of the Rim you're more involved.
- For compatibility with Zetrith's multiplayer mod, you need https://steamcommunity.com/sharedfiles/filedetails/?id=1629973374

![Image](https://i.imgur.com/PwoNOj4.png)



-  See if the the error persists if you just have this mod and its requirements active.
-  If not, try adding your other mods until it happens again.
-  Post your error-log using https://steamcommunity.com/workshop/filedetails/?id=818773962]HugsLib and command Ctrl+F12
-  For best support, please use the Discord-channel for error-reporting.
-  Do not report errors by making a discussion-thread, I get no notification of that.
-  If you have the solution for a problem, please post it to the GitHub repository.




